<?php
session_start();
require_once "music_db.php";
/*
 * This function generates the login screen used in index.php
 */
function genLogin(){
	echo "<HTML>\r\n<TITLE>Login Page</TITLE>\r\n<BODY>\r\n";
	echo '<H1>Please Login</H1>'."\r\n".'<FORM ACTION="index.php" METHOD="post">'."\r\n";
	echo "<TABLE>\r\n<TR><TD>Username:</TD><TD><INPUT ".'TYPE="text" MAXLENGTH="20" NAME="username" /></TD></TR>'."\r\n";
	echo '<TR><TD>Password:</TD><TD><INPUT TYPE="password" NAME="password" /></TD></TR>'."\r\n";
	echo '<TR><TD><INPUT TYPE="submit" VALUE="Login" /></TD></TR>'."</TABLE></FORM>\r\n";
	echo "</BODY>\r\n</HTML>";
}

/*
 * This function displays the options available to the users after they login.
 * Used in index.php.
 */
function genSelect($RoleID){
	
	echo "<html>\r\n<title>Selection for the system</title>\r\n<body>\r\n";
	echo "<h1>Please select an action</h1>\r\n";
	echo "<table>\r\n";
	switch ($RoleID):
	case 1:
	case 2:
		echo '<tr><td><a href="addUser.php">Add a user to the system</a></td></tr>'."\r\n";
		echo '<tr><td><a href="addInst.php">Add an Instrument</a></td></tr>'."\r\n";
	case 3:
		echo '<tr><td><a href="instLookup.php">Search for an instrument</a></td></tr>'."\r\n";
		echo '<tr><td><a href="addBorrower.php">Add a borrower to the system</a></td></tr>'."\r\n";
		echo '<tr><td><a href="showCheckedout.php">See all checked out instruments</a></td></tr>'."\r\n";
	case 4:
		echo '<tr><td><a href="users.php">See System Users</a></td></tr>'."\r\n";
		if($RoleID == 4)//needed because all others fall to here
			echo '<tr><td><a href="listInsts.php?user='.$_SESSION['username'].'">Look at the instruments I have checked out.</a>';
	endswitch;
	echo "</table>\r\n";
	echo '<a href="index.php?logout=yes">Logout</a>'."\r\n";
	echo "</body>\r\n</html>\r\n";
}

/*
 * This function displays information, and allows modification of a specific user.
 * Used in users.php.
 */
function displayUser($username){
	//This creates a very busy page, so I am going to try to walk you through the function
	$db = new Music_DB();
	try{
		$user = $db->getUser($username);
		//We store more information about borrowers, so we need the borrower object to display all of the new information
		if($user->getRoleID() == 4)
			$user = $db->getBorrower($username);
	}
	catch (musicException $e){
		echo $e->getMessage()."<br>";
		echo '<a href="users.php">Look Again?</a>';
		die;
	}
	$st = "";
	//This deals with changing the users password
	if(isset($_POST['passwd1']) || isset($_POST['passwd2'])){
		if(!strcmp($_POST['passwd1'],$_POST['passwd2']) && $_POST['passwd1'] != null){
			try{
				//This next line is so that the password can be changed if the user being looked at is a borrower
				//The borrower object does not have a modify function, so we need its user representation
				$temp = $db->getUser($username);
				$temp->modify(null, $_POST['passwd1'], null);
				echo "That password was successfully changed.";
			}
			catch (musicException $e){
				echo $e->getMessage();
			}
		}
		else{
			echo "The password fields must match and they cannot be empty.";
		}
	} 
	//You shouldn't be able to delete yourself, bad things could happen.
	if(strcmp($username,$_SESSION['username']) == 0){
		$su = 'disabled = "disabled"';  
	}
	//handles deleting of a user
	else if($_POST['del'] == true){
		try{
			if($user->getRoleID() != 4){
				$db->removeUser($user);
			}
			else{
				$db->removeBorrower($user);
			}
			echo "This user has been removed from the system.<br />";
			//used to disable buttons later on if deletion is successful
			$sd = 'disabled = "disabled"';
		}
		catch (MusicException $e){
			echo $e->getMessage()."<br />";
		}
	}
	else
		$st = "";
	echo "<html>\r\n<title>$username's page</title>\r\n<body>\r\n";
	echo "<h1>$username's Page</h1>\r\n";
	echo "<br /><br />$st<br />\r\n";
	//Start of the table to display stored information about the user
	echo "<table border=\"1\">\r\n<tr><td>Username</td><td>".$user->getUsername()."</td></tr>\r\n";
	echo "<tr><td>Role</td><td>".$user->getRole()."</td></tr>\r\n";
	//Extra information stored on borrowers
	if($user->getRoleID() == 4){
		echo "<tr><td>First Name</td><td>".$user->getFirstName()."</td></tr>\r\n";
		echo "<tr><td>Last Name</td><td>".$user->getLastName()."</td></tr>\r\n";
		echo "<tr><td>E-mail Address</td><td>".$user->getEmail()."</td></tr>\r\n";
	}
	//This generates the form necessary to attempt to change the users password
	echo '<form action="users.php" method="post" /><input type="hidden" name="username" value="'.$username.'" />';
	echo '<tr><td>Enter a new password twice</td><td><input type="password" name="passwd1" /></td></tr>'."\r\n";
	echo '<tr><td><input type="submit" '.$sd.'value="Change Password" /></td><td><input type="password" name="passwd2" /></td></tr>'."\r\n";
	echo '</form>';
	//Sys admins (1) and managers (2) can delete users
	if($_SESSION['role'] <= 2){
		echo '<form action="users.php" method="post" /><input type="hidden" name="username" value="'.$username.'" />';
		echo '<tr><td><input type="submit" '.$sd.$su.' value="delete" /></td><td><input type="hidden" name="del" value="true" /></td></tr>'."\r\n";
		echo '</form>';
	}
	echo "</table>";
	if($user->getRoleID() == 4 && !$sd){
		echo '<a href="listInsts.php?user='.$user->getUsername().'">Look at the instruments this user has checked out.</a>';
		echo "<br />";
	}
	if($_SESSION['role'] <= 2)
		echo '<a href=users.php>Back to Lookup more Users</a><br />';
	echo "<a href=\"index.php\">Back to Index</a></body></html>";
}
?>
