<?php session_start();?>
<HTML>
<HEAD>
<TITLE>List of Instruments</TITLE>
</HEAD>

<BODY>
<!-- This page has two "modes", if a username is given, it shows all the instruments checked out by 
		that particular borrower.
	If instrument attributes are given, it gets all of the instuments in the system that match those 
		those attributes.
-->
<H1>Instrument List</H1>
<br />
<?php
	require_once "music_db.php";
	$db = new Music_DB();
	try{
		if(isset($_GET['user'])){//get checked out instruments
			$insts = $db->getCheckedoutInstruments($_GET['user']);
		}
		else{//get instruments by attribute
			//if the user did not give one of these attributes
			//it comes here as a null, which is what getInstrument() expects 
			$insts = $db->getInstruments($_GET['manf'],$_GET['model'],$_GET['inst'],$_GET['fam'],$_GET['mat']);
		}
	}
	catch (MusicException $mx){
		echo $mx->getMessage()."<br />";
		if($_SESSION['role'] == 4)//if a borrower is looking at this, we don't want him 
								//to be able to view all instuments
			echo '<a href="index.php">Return to the Index</a>';
		else
			echo '<a href="instLookup.php">Search Again?</a>';
		die();
	}
	//This section goes over all of the found instruments and displays them
	echo "<br />\r\n".'<form action="displayInst.php" method="get" />'."\r\n";
	echo "<table border=\"1\">\r\n";
	echo '<input type="submit" value="Look At">'."\r\n";
	echo "<th>Choose One</th>\r\n<th>Serial</th>\r\n<th>Manufacturer</th>\r\n<th>Model</th>\r\n<th>Family</th>\r\n<th>Type</th>\r\n<th>Material</th>\r\n\t";
	foreach($insts as $inst){
		$st = "<tr>\r\n\t\t";
		$st .= '<td><input type="radio" name="serial" value="'.$inst->getSerial().'" /></td>'."\r\n\t\t";
		$st .= "<td>".$inst->getSerial()."</td>\r\n\t\t";
		$st .= "<td>".$inst->getManufacturer()."</td>\r\n\t\t";
		$st .= "<td>".$inst->getModel()."</td>\r\n\t\t";
		$st .= "<td>".$inst->getFamily()."</td>\r\n\t\t";
		$st .= "<td>".$inst->getInstType()."</td>\r\n\t\t";
		$st .= "<td>".$inst->getMaterial()."</td>\r\n\t";
		$st .= "</tr>\r\n\t";
		echo $st;
	}
	echo "</table>\r\n";
	echo '<input type="submit" value="Look At">'."\r\n</form>\r\n";
	if($_SESSION['role'] != 4){
		echo '<a href="instLookup.php">Search Again?</a>';
	}
	else{//again we don't want borrowers to be able to lookup other instruments
		echo '<a href="index.php">Back to the Index</a>';
	}	
?>
</BODY>
</HTML>
