-- MySQL dump 10.11
--
-- Host: 149.149.134.4    Database: temyers21
-- ------------------------------------------------------
-- Server version	5.1.25-rc-debug

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Temporary table structure for view `borrower_user`
--

DROP TABLE IF EXISTS `borrower_user`;
/*!50001 DROP VIEW IF EXISTS `borrower_user`*/;
/*!50001 CREATE TABLE `borrower_user` (
  `student_id` char(9),
  `lname` varchar(20),
  `fname` varchar(20),
  `email` varchar(30),
  `username` varchar(20),
  `password` varchar(129),
  `role_id` int(11),
  `salt` varchar(5)
) */;

--
-- Table structure for table `borrowers`
--

DROP TABLE IF EXISTS `borrowers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `borrowers` (
  `student_id` char(9) NOT NULL,
  `lname` varchar(20) DEFAULT NULL,
  `fname` varchar(20) DEFAULT NULL,
  `email` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`student_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `borrowers`
--

LOCK TABLES `borrowers` WRITE;
/*!40000 ALTER TABLE `borrowers` DISABLE KEYS */;
INSERT INTO `borrowers` VALUES ('T00001','Doe','John','jedoe21@tntech.edu');
/*!40000 ALTER TABLE `borrowers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `checkedout`
--

DROP TABLE IF EXISTS `checkedout`;
/*!50001 DROP VIEW IF EXISTS `checkedout`*/;
/*!50001 CREATE TABLE `checkedout` (
  `check_id` int(11),
  `serial_number` varchar(10),
  `student_id` char(9),
  `out_date` date,
  `in_date` date
) */;

--
-- Table structure for table `checkin`
--

DROP TABLE IF EXISTS `checkin`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `checkin` (
  `check_id` int(11) NOT NULL AUTO_INCREMENT,
  `in_date` date DEFAULT NULL,
  PRIMARY KEY (`check_id`),
  CONSTRAINT `checkin_ibfk_1` FOREIGN KEY (`check_id`) REFERENCES `checkout` (`check_id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `checkin`
--

LOCK TABLES `checkin` WRITE;
/*!40000 ALTER TABLE `checkin` DISABLE KEYS */;
/*!40000 ALTER TABLE `checkin` ENABLE KEYS */;
UNLOCK TABLES;

/*!50003 SET @SAVE_SQL_MODE=@@SQL_MODE*/;

DELIMITER ;;
/*!50003 SET SESSION SQL_MODE="" */;;
/*!50003 CREATE */ /*!50017 DEFINER=`temyers21`@`%` */ /*!50003 TRIGGER `add_date_return_tr` BEFORE INSERT ON `checkin` FOR EACH ROW begin
set new.in_date = curdate();
end */;;

DELIMITER ;
/*!50003 SET SESSION SQL_MODE=@SAVE_SQL_MODE*/;

--
-- Table structure for table `checkout`
--

DROP TABLE IF EXISTS `checkout`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `checkout` (
  `check_id` int(11) NOT NULL AUTO_INCREMENT,
  `serial_number` varchar(10) DEFAULT NULL,
  `student_id` char(9) DEFAULT NULL,
  `out_date` date DEFAULT NULL,
  PRIMARY KEY (`check_id`),
  UNIQUE KEY `serial_number` (`serial_number`,`student_id`,`out_date`),
  KEY `student_id` (`student_id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `checkout`
--

LOCK TABLES `checkout` WRITE;
/*!40000 ALTER TABLE `checkout` DISABLE KEYS */;
INSERT INTO `checkout` VALUES (23,'TB-2345','T00001','2010-04-28');
/*!40000 ALTER TABLE `checkout` ENABLE KEYS */;
UNLOCK TABLES;

/*!50003 SET @SAVE_SQL_MODE=@@SQL_MODE*/;

DELIMITER ;;
/*!50003 SET SESSION SQL_MODE="" */;;
/*!50003 CREATE */ /*!50017 DEFINER=`temyers21`@`%` */ /*!50003 TRIGGER `add_date_tr` BEFORE INSERT ON `checkout` FOR EACH ROW begin set NEW.out_date = curdate(); end */;;

DELIMITER ;
/*!50003 SET SESSION SQL_MODE=@SAVE_SQL_MODE*/;

--
-- Table structure for table `family`
--

DROP TABLE IF EXISTS `family`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `family` (
  `family_id` int(11) NOT NULL AUTO_INCREMENT,
  `family_name` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`family_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `family`
--

LOCK TABLES `family` WRITE;
/*!40000 ALTER TABLE `family` DISABLE KEYS */;
INSERT INTO `family` VALUES (1,'woodwind'),(2,'brass'),(3,'percussion'),(4,'strings');
/*!40000 ALTER TABLE `family` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instrumentPicture`
--

DROP TABLE IF EXISTS `instrumentPicture`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `instrumentPicture` (
  `serial_number` varchar(10) DEFAULT NULL,
  `mime_type` varchar(255) DEFAULT NULL,
  `file_size` int(11) DEFAULT NULL,
  `file_data` longblob,
  KEY `serial_number` (`serial_number`),
  CONSTRAINT `instrumentpicture_ibfk_1` FOREIGN KEY (`serial_number`) REFERENCES `instruments` (`serial_number`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `instrumentPicture`
--

LOCK TABLES `instrumentPicture` WRITE;
/*!40000 ALTER TABLE `instrumentPicture` DISABLE KEYS */;
/*!40000 ALTER TABLE `instrumentPicture` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instruments`
--

DROP TABLE IF EXISTS `instruments`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `instruments` (
  `serial_number` varchar(10) NOT NULL,
  `manufacturer` varchar(20) DEFAULT NULL,
  `model` varchar(15) DEFAULT NULL,
  `inst_id` int(11) DEFAULT NULL,
  `comments` varchar(256) DEFAULT NULL,
  `material` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`serial_number`),
  KEY `inst_id` (`inst_id`),
  CONSTRAINT `instruments_ibfk_1` FOREIGN KEY (`inst_id`) REFERENCES `types` (`inst_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `instruments`
--

LOCK TABLES `instruments` WRITE;
/*!40000 ALTER TABLE `instruments` DISABLE KEYS */;
INSERT INTO `instruments` VALUES ('CL-645','Yamaha','Haliburton',3,'Refurbished','wood'),('FH-1987','Yamaha','Strad',5,'Not nice anymore','gold'),('TB-2345','Bach','Strad 42',7,'Some better after patching!','silver'),('TP-2890','Conn','B4',6,'Non-new comment','silver'),('vl-3927','Sabayon','Mutex',14,'test','wood');
/*!40000 ALTER TABLE `instruments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `roles` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT,
  `role_name` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'System Administrator'),(2,'Inventory Manager'),(3,'Student Worker'),(4,'Borrower');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `transactions`
--

DROP TABLE IF EXISTS `transactions`;
/*!50001 DROP VIEW IF EXISTS `transactions`*/;
/*!50001 CREATE TABLE `transactions` (
  `check_id` int(11),
  `serial_number` varchar(10),
  `student_id` char(9),
  `out_date` date,
  `in_date` date
) */;

--
-- Table structure for table `types`
--

DROP TABLE IF EXISTS `types`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `types` (
  `inst_id` int(11) NOT NULL AUTO_INCREMENT,
  `inst_name` varchar(30) DEFAULT NULL,
  `family_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`inst_id`),
  KEY `family_id` (`family_id`),
  CONSTRAINT `types_ibfk_1` FOREIGN KEY (`family_id`) REFERENCES `family` (`family_id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `types`
--

LOCK TABLES `types` WRITE;
/*!40000 ALTER TABLE `types` DISABLE KEYS */;
INSERT INTO `types` VALUES (1,'flute',1),(2,'oboe',1),(3,'clarinet',1),(4,'bassoon',1),(5,'horn',2),(6,'trumpet',2),(7,'trombone',2),(8,'tuba',2),(9,'timpani',3),(10,'xylophone',3),(11,'snare drum',3),(12,'bass drum',3),(13,'cymbals',3),(14,'violin',4),(15,'viola',4),(16,'cello',4),(17,'string bass',4);
/*!40000 ALTER TABLE `types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `users` (
  `username` varchar(20) NOT NULL,
  `password` varchar(129) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `salt` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`username`),
  KEY `role_id` (`role_id`),
  CONSTRAINT `users_ibfk_1` FOREIGN KEY (`role_id`) REFERENCES `roles` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES ('admin','2510a7ab3a298eb54b2c71e6267114b06a373ebf1cb2b875721f2b27dacd85479d73cdafe485dfc4f3ed2c5cfdd69344a792df29330dc41bd305e352d52e6e1e',1,'82116'),('manager','f557d9106a763b56432d9ac660b8279548b1b0c6e390f26ce9855fdd79969941f974416482b928f7222eabe6d7d7f6a4ad678c3cc070d40d3fa0261fe69a27f0',2,'-754'),('T00001','ec9e11d4ec36d15e87c42a1fa56fe21ef7a82871c4da1a92ec438a1f4266b7dff6fa473714858730c15f20f9d36fd0cfd483dd2e54f9a2ddc32bc9e41348a535',4,'18683'),('worker','ea0b4d8754532d4f9cd0996e8ca73e8dbeabd53163ff0f7744ad3e3af9cbf2d5a095affb643b71517b2c1a94270387013b4f0340ff926a3c556596569a0e6a1f',3,'69824');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Final view structure for view `borrower_user`
--

/*!50001 DROP TABLE `borrower_user`*/;
/*!50001 DROP VIEW IF EXISTS `borrower_user`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`temyers21`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `borrower_user` AS select `borrowers`.`student_id` AS `student_id`,`borrowers`.`lname` AS `lname`,`borrowers`.`fname` AS `fname`,`borrowers`.`email` AS `email`,`users`.`username` AS `username`,`users`.`password` AS `password`,`users`.`role_id` AS `role_id`,`users`.`salt` AS `salt` from (`borrowers` join `users` on((`borrowers`.`student_id` = `users`.`username`))) */;

--
-- Final view structure for view `checkedout`
--

/*!50001 DROP TABLE `checkedout`*/;
/*!50001 DROP VIEW IF EXISTS `checkedout`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`temyers21`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `checkedout` AS select `checkout`.`check_id` AS `check_id`,`checkout`.`serial_number` AS `serial_number`,`checkout`.`student_id` AS `student_id`,`checkout`.`out_date` AS `out_date`,`checkin`.`in_date` AS `in_date` from (`checkout` left join `checkin` on((`checkout`.`check_id` = `checkin`.`check_id`))) where isnull(`checkin`.`in_date`) */;

--
-- Final view structure for view `transactions`
--

/*!50001 DROP TABLE `transactions`*/;
/*!50001 DROP VIEW IF EXISTS `transactions`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`temyers21`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `transactions` AS select `checkout`.`check_id` AS `check_id`,`checkout`.`serial_number` AS `serial_number`,`checkout`.`student_id` AS `student_id`,`checkout`.`out_date` AS `out_date`,`checkin`.`in_date` AS `in_date` from (`checkout` left join `checkin` on((`checkout`.`check_id` = `checkin`.`check_id`))) */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-04-28 13:47:21
